package de.effigenix.infrastructure.masterdata.persistence.repository;

import de.effigenix.infrastructure.masterdata.persistence.entity.ArticleEntity;
import org.springframework.data.jpa.repository.JpaRepository;

import java.util.List;

public interface ArticleJpaRepository extends JpaRepository<ArticleEntity, String> {

    List<ArticleEntity> findByCategoryId(String categoryId);

    List<ArticleEntity> findByStatus(String status);

    boolean existsByArticleNumber(String articleNumber);
}
